#ifndef __MODBUS_AI_PARAMS_H
#define __MODBUS_AI_PARAMS_H

#include "mb.h"
#include "mbport.h"
#include "modbus.h"
#include <stdbool.h>


#ifdef __cplusplus
extern "C" {
#endif

  
//
uint16_t mb_init_ai_params(uint16_t i);
  


// -------------------------------------------------------------------------- //
//                          Установка параметров
// -------------------------------------------------------------------------- //

//
mb_delay_action_t mb_set_ai_state(void);

//
mb_delay_action_t mb_set_ai_mode(void);

//
mb_delay_action_t mb_set_ai_voltage_mode(void);

//
mb_delay_action_t mb_set_ai_current_mode(void);

//
mb_delay_action_t mb_set_ai_gain(void);

//
mb_delay_action_t mb_set_ext_sens_power(void);

//
mb_delay_action_t mb_set_preset_state(void);


#ifdef __cplusplus
}
#endif

#endif // __MODBUS_AI_PARAMS_H